Opam Package semaphore-compat.1.0.1

Package info

opam-namesemaphore-compat
opam-version1.0.1
synopsisCompatibility Semaphore module
description Projects that want to use the Semaphore module defined in OCaml 4.12.0 while staying compatible with older versions of OCaml should use this library instead.
authors
  • Xavier Leroy
homepagehttps://github.com/mirage/semaphore-compat
licenseLGPLv2
changes-fileCHANGES.md
readme-fileREADME.md
deps (1)
revdeps(0)
metas (1)
libraries (1)

Package modules

Package sources

semaphore-compat

Package files

lib/semaphore-compat/semaphore_vendored.ml
lib/semaphore-compat/semaphore_selected.ml
lib/semaphore-compat/semaphore_intf.ml
lib/semaphore-compat/semaphore_compat__Semaphore_vendored.cmx
lib/semaphore-compat/semaphore_compat__Semaphore_vendored.cmt
lib/semaphore-compat/semaphore_compat__Semaphore_vendored.cmi
lib/semaphore-compat/semaphore_compat__Semaphore_selected.cmx
lib/semaphore-compat/semaphore_compat__Semaphore_selected.cmt
lib/semaphore-compat/semaphore_compat__Semaphore_selected.cmi
lib/semaphore-compat/semaphore_compat__Semaphore_intf.cmx
lib/semaphore-compat/semaphore_compat__Semaphore_intf.cmt
lib/semaphore-compat/semaphore_compat__Semaphore_intf.cmi
lib/semaphore-compat/semaphore_compat__.ml
lib/semaphore-compat/semaphore_compat__.cmx
lib/semaphore-compat/semaphore_compat__.cmt
lib/semaphore-compat/semaphore_compat__.cmi
lib/semaphore-compat/semaphore_compat.ml
lib/semaphore-compat/semaphore_compat.cmxs
lib/semaphore-compat/semaphore_compat.cmxa
lib/semaphore-compat/semaphore_compat.cmx
lib/semaphore-compat/semaphore_compat.cmt
lib/semaphore-compat/semaphore_compat.cmi
lib/semaphore-compat/semaphore_compat.cma
lib/semaphore-compat/semaphore_compat.a
lib/semaphore-compat/opam
lib/semaphore-compat/dune-package
lib/semaphore-compat/META
lib/semaphore-compat
doc/semaphore-compat/README.md
doc/semaphore-compat/LICENSE
doc/semaphore-compat/CHANGES.md
doc/semaphore-compat